Get Pull Request Comment
GET/api/v5/repos/:owner/:repo/pulls/comments/:id
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
id stringrequired
Comment ID
Query Parameters
access_token string
User authorization code
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
idinteger
discussion_idstring
Discussion ID
bodystring
comment_typestring
user object
idstring
loginstring
namestring
typestring
target object
issue object
idinteger
titlestring
numberstring
created_atstring
updated_atstring
position object
base_shastring
Basic SHA
start_shastring
Starting SHA
head_shastring
Head SHA
old_pathstring
Old path
new_pathstring
New path
position_typestring
Location Type, "binary": File-level comment, "text": Code line comment.
old_lineinteger
Old Serial Number
new_lineinteger
New line number
start_old_lineinteger
Starting old serial number
start_new_lineinteger
{
"id": 0,
"discussion_id": "string",
"body": "string",
"comment_type": "string",
"user": {
"id": "string",
"login": "string",
"name": "string",
"type": "string"
},
"target": {
"issue": {
"id": 0,
"title": "string",
"number": "string"
}
},
"created_at": "string",
"updated_at": "string",
"position": {
"base_sha": "string",
"start_sha": "string",
"head_sha": "string",
"old_path": "string",
"new_path": "string",
"position_type": "string",
"old_line": 0,
"new_line": 0,
"start_old_line": 0,
"start_new_line": 0
}
}
{
"id": 1486664,
"body": "1111112222222",
"comment_type": "DiscussionNote",
"user": {
"id": "303745",
"login": "yinlin",
"name": "yinlin-nickname",
"type": "User"
},
"target": {
"issue": {
"id": 478892,
"title": "1111",
"number": "478892"
}
},
"created_at": "2024-09-27T14:58:51+08:00",
"updated_at": "2024-09-27T14:58:51+08:00"
}